#!/bin/bash

#load disk
echo "measuring disk load"
disk=`scomes -c ./load-disk.sh 0 | perl -ne 'print if /Monitored process:/../SCORE:/'`


#load syscalls
echo "preparing syscalls measuring"
make > /dev/null
echo "measuring syscalls"
syscalls=`scomes -c "./load-syscalls 1000" 0 | perl -ne 'print if /Monitored process:/../SCORE:/'`


#load net
echo "measuring net"
net=`scomes -c ./load-net.sh 0 | perl -ne 'print if /Monitored process:/../SCORE:/'`


data=`mktemp --tmpdir scomes-data.XXXXXXXX`
echo -e "disk:\n$disk\n----------\nsyscalls:\n$syscalls\n----------\nnet:\n$net\n----------" > $data

echo data saved to $data


